package ejbdemo;
import java.util.*;
import java.rmi.RemoteException;
import javax.ejb.*;
import javax.naming.*;

public class DemoSessionEJB implements SessionBean
{
	private String name = null;
	
	public void ejbCreate() throws CreateException
	{
	  name = "Demo Session Bean";
	}

	public void ejbActivate()
	{
	}

	public void ejbPassivate()
	{
	}
	
	public void ejbRemove()
	{
	}
	
	public void setSessionContext(SessionContext context)
	{
	}

	public void setName(int i)
	{
	  name =name+i;
	}
	
	public String getName() throws RemoteException
	{
		return name;
	}
}
